import request from '@/utils/request'

// 查询公益性生物资产列表
export function listPublicwelfare(query) {
  return request({
    url: '/asset/publicwelfare/list',
    method: 'get',
    params: query
  })
}

// 统计查询公益性生物资产列表
export function statisticPublicwelfare(query) {
  return request({
    url: '/asset/publicwelfare/statistic',
    method: 'get',
    params: query
  })
}

// 导出公益性生物资产
export function exportPublicwelfare(query) {
  return request({
    url: '/asset/publicwelfare/export',
    method: 'get',
    params: query
  })
}

// 查询公益性生物资产详细
export function getPublicwelfare(id) {
  return request({
    url: '/asset/publicwelfare/get/' + id,
    method: 'get',
    params: arguments[1] || {}
  })
}

// 新增公益性生物资产
export function addPublicwelfare(data) {
  return request({
    url: '/asset/publicwelfare/add',
    method: 'post',
    data: data
  })
}

// 修改公益性生物资产
export function updatePublicwelfare(data) {
  return request({
    url: '/asset/publicwelfare/edit',
    method: 'post',
    data: data
  })
}

// 删除公益性生物资产
export function delPublicwelfare(id) {
  return request({
    url: '/asset/publicwelfare/remove/' + id,
    method: 'get'
  })
}

